%define name	qarecord
%define version	0.0.9b
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	QT based ALSA recording interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel alsa-lib-devel jackit-devel

%description
QARecord is a simple multithreaded stereo recording tool. It can record both
16 bit and 32 bit WAVs. By using a large ringbuffer for the captured data,
buffer overruns are avoided. QARecord can also be used as JACK client. 

%prep
%setup -q
perl -p -i -e "s|-O2|$RPM_OPT_FLAGS||g" make_qarecord
perl -p -i -e "s/\(QT_BASE_DIR\)\/lib/\(QT_BASE_DIR\)\/%_lib/g" make_qarecord

%build
%make -f make_qarecord
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QARecord
Comment=ALSA recording GUI
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Recorder;
Encoding=UTF-8
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-5mdv2009.0
+ Revision: 259906
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9b-4mdv2009.0
+ Revision: 247755
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.0.9b-2mdv2008.1
+ Revision: 136465
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import qarecord


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.9b-2mdv2007.0
- %%mkrel
- xdg menu

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.0.9b-1mdk
- 0.0.9b
- lib64 fix

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.0.9-1mdk
- initial package
